Bug 244390 - sysutils/gdisk: build failure after update to 1.0.5: 'ncursesw/ncurses.h' file not found
Summary: sysutils/gdisk: build failure after update to 1.0.5: 'ncursesw/ncurses.h' fil...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-qa, regression
Depends on:
Blocks:
 
Reported: 2020-02-25 02:18 UTC by John Hein
Modified: 2020-02-25 20:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
koobs: maintainer-feedback? (bapt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2020-02-25 02:18:00 UTC
If CGDISK=on, 1.0.5 triggers a compile error:

--- gptcurses.o ---
gptcurses.cc:29:10: fatal error: 'ncursesw/ncurses.h' file not found
#include <ncursesw/ncurses.h>
         ^~~~~~~~~~~~~~~~~~~~
1 error generated.
*** [gptcurses.o] Error code 1
Comment 1 John Hein 2020-02-25 02:19:53 UTC
upstream difference from 1.0.4 to 1.0.5:

--- gptfdisk-1.0.4/gptcurses.cc 2018-07-05 14:19:46.000000000 -0600
+++ gptfdisk-1.0.5/gptcurses.cc 2020-02-17 15:34:11.000000000 -0700
@@ -19,10 +19,15 @@
  *
  */
 
+#include <clocale>
 #include <iostream>
 #include <string>
 #include <sstream>
+#ifdef __APPLE__
 #include <ncurses.h>
+#else
+#include <ncursesw/ncurses.h>
+#endif
 #include "gptcurses.h"
 #include "support.h"
Comment 2 commit-hook freebsd_committer 2020-02-25 20:55:45 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Feb 25 20:55:26 UTC 2020
New revision: 527130
URL: https://svnweb.freebsd.org/changeset/ports/527130

Log:
  Fix build with CGDISK enabled

  PR:		244390
  Reported by:	John Hein <jcfyecrayz@liamekaens.com>

Changes:
  head/sysutils/gdisk/files/patch-gptcurses.cc
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-02-25 20:56:24 UTC
Committed. Thanks!